Loading...
Searching...
No Matches
mbedtls_cipher_context_t Struct Reference

`#include <cipher.h>`

Collaboration diagram for mbedtls_cipher_context_t:
[legend]

## Data Fields

const mbedtls_cipher_info_t * | private_cipher_info
int | private_key_bitlen
mbedtls_operation_t | private_operation
void(* | private_add_padding )(unsigned char *output, size_t olen, size_t data_len)
int(* | private_get_padding )(unsigned char *input, size_t ilen, size_t *data_len)
unsigned char | private_unprocessed_data [MBEDTLS_MAX_BLOCK_LENGTH]
size_t | private_unprocessed_len
unsigned char | private_iv [MBEDTLS_MAX_IV_LENGTH]
size_t | private_iv_size
void * | private_cipher_ctx
mbedtls_cmac_context_t * | private_cmac_ctx

## Detailed Description

Generic cipher context.

Definition at line 316 of file cipher.h.

## Field Documentation

## private_add_padding

void(* mbedtls_cipher_context_t::private_add_padding) (unsigned char *output, size_t olen, size_t data_len)

Padding functions to use, if relevant for the specific cipher mode.

Definition at line 332 of file cipher.h.

## private_cipher_ctx

void* mbedtls_cipher_context_t::private_cipher_ctx

The cipher-specific context.

Definition at line 350 of file cipher.h.

## private_cipher_info

const mbedtls_cipher_info_t* mbedtls_cipher_context_t::private_cipher_info

Information about the associated cipher.

Definition at line 318 of file cipher.h.

## private_cmac_ctx

mbedtls_cmac_context_t* mbedtls_cipher_context_t::private_cmac_ctx

CMAC-specific context.

Definition at line 354 of file cipher.h.

## private_get_padding

int(* mbedtls_cipher_context_t::private_get_padding) (unsigned char *input, size_t ilen, size_t *data_len)

Definition at line 333 of file cipher.h.

## private_iv

unsigned char mbedtls_cipher_context_t::private_iv[MBEDTLS_MAX_IV_LENGTH]

Current IV or NONCE_COUNTER for CTR-mode, data unit (or sector) number for XTS-mode.

Definition at line 344 of file cipher.h.

## private_iv_size

size_t mbedtls_cipher_context_t::private_iv_size

IV size in Bytes, for ciphers with variable-length IVs.

Definition at line 347 of file cipher.h.

## private_key_bitlen

int mbedtls_cipher_context_t::private_key_bitlen

Key length to use.

Definition at line 321 of file cipher.h.

## private_operation

mbedtls_operation_t mbedtls_cipher_context_t::private_operation

Operation that the key of the context has been initialized for.

Definition at line 326 of file cipher.h.

## private_unprocessed_data

unsigned char mbedtls_cipher_context_t::private_unprocessed_data[MBEDTLS_MAX_BLOCK_LENGTH]

Buffer for input that has not been processed yet.

Definition at line 337 of file cipher.h.

## private_unprocessed_len

size_t mbedtls_cipher_context_t::private_unprocessed_len

Number of Bytes that have not been processed yet.

Definition at line 340 of file cipher.h.

The documentation for this struct was generated from the following file:

- cipher.h